MAV_cone(3)

NAME
MAV_cone - Default object class ``cone''.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  float rt;
  float rb;
  float height;
  int nverts;
  int endcap;
  MAV_surfaceParams *sp;
  MAV_matrix matrix;
  void *userdef;
} MAV_cone;

DESCRIPTION
The cone is defined with its centre at the origin and its axis aligned along the Z axis. It has a radius at its top, rt, a radius at its bottom, rb, and a height, height, along the Z axis.

When rendered, nverts vertices are used (if greater than two and mav_opt_curveLOD is not set) to facet the curved surface of the cone, and the symbolic constant endcap, set to MAV_TRUE or MAV_FALSE, control whether or not the object has endfaces or is effectively hollow.